## heartbeat 0.4.9.0l

=== Makefile ===
#	$Id: Makefile,v 1.75.2.12 2001/10/28 19:40:46 alan Exp $
#
#	Makefile for making High-Availability Linux heartbeat code
#
#	Package Name, Version and RPM release level
#
#	If you're installing this package without going through an RPM,
#	you'll need to read the README to see how to make PPP work for you.
#
#
PKG=heartbeat
VERS=0.4.9.0l
RPMREL=1

INITD=$(shell [ -d /etc/init.d ] && echo /etc/init.d || echo /etc/rc.d/init.d )
LOGROTATED=/etc/logrotate.d

#	Debian wants things to start with DESTDIR,
#	but Red Hat starts them with RPM_BUILD_ROOT	(sigh...)
#
#       When make is called it should be run as
#       BUILD_ROOT=$VAR make ...
#
#       e.g.
#       BUILD_ROOT=$RPM_BUILD_ROOT make install

HA=$(BUILD_ROOT)/etc/ha.d
HALIB=$(BUILD_ROOT)/usr/lib/$(PKG)
HARCD=$(HA)/rc.d
VARRUN=$(BUILD_ROOT)/var/run
VARLIB=$(BUILD_ROOT)/var/lib/$(PKG)
FIFO=$(VARRUN)/heartbeat-fifo
HAPPP=$(VARRUN)/ppp.d
DOCDIR=$(BUILD_ROOT)/usr/doc/heartbeat
MANDIR=$(BUILD_ROOT)/usr/man
INITSCRIPT=$(BUILD_ROOT)/$(INITD)/$(PKG)
LOGROTATESCRIPT=$(BUILD_ROOT)/$(LOGROTATED)/$(PKG)
LOGROTATEDIR=$(BUILD_ROOT)/$(LOGROTATED)
RESOURCEDIR=$(BUILD_ROOT)/etc/ha.d/resource.d
CONFDIR=$(BUILD_ROOT)/etc/ha.d/conf
SPECSRC=Specfile
APIGID=90
APIGROUP=haclient

# Can't include the Build Root as a part of the compilation process
B_HA=$(DESTDIR)/etc/ha.d
B_VARRUN=$(DESTDIR)/var/run
B_FIFO=$(B_VARRUN)/heartbeat-fifo
B_HAPPP=$(B_VARRUN)/ppp.d
#
# For OpenBSD/FreeBSD
LIBDL =
LIBINTL = -lintl
PICFLAG = -fPIC
CFLAGEXTRA = -I/usr/local/include

# For Linux
LIBDL = -ldl
LIBINTL =
PICFLAG = -fPIC
CFLAGEXTRA =
MAKE=gmake

VARS=MAKE="$(MAKE)" 			\
	PKG="$(PKG)"			\
	VERS="$(VERS)"			\
	APIGID="$(APIGID)"		\
	APIGROUP="$(APIGROUP)"		\
	LIBDL="$(LIBDL)"		\
	LIBINTL="$(LIBINTL)"		\
	CFLAGEXTRA="$(CFLAGEXTRA)"	\
	PICFLAG="$(PICFLAG)" 		\
	MANDIR="$(MANDIR)"

MAKE_CMD = $(MAKE) $(VARS)

NONKERNELDIRS= doc stonith heartbeat ldirectord
KERNELDIRS= 
BUILDDIRS= $(NONKERNELDIRS) $(KERNELDIRS) 

#

HTML2TXT = lynx -dump
INSTALL = install

WEBDIR=/home/alanr/ha-web/download
RPMDIR=/home/alanr/rpms
RPMSRC=$(RPMDIR)/SRPMS/$(PKG)-$(VERS)-$(RPMREL).src.rpm
RPM386=$(RPMDIR)/RPMS/i386/$(PKG)-$(VERS)-$(RPMREL).i386.rpm
RPMstonith=$(RPMDIR)/RPMS/i386/$(PKG)-stonith-$(VERS)-$(RPMREL).i386.rpm
RPMldir=$(RPMDIR)/RPMS/i386/$(PKG)-ldirectord-$(VERS)-$(RPMREL).i386.rpm

.PHONY =  		\
	all		\
	install		\
	handy		\
	clean		\
	pristine	\
	rpmclean	\
	rpm		\
	tar		\
	dist		\
	distclean	\
	tarclean	\
	clobber		\
	deb		\
	debclean


all:
	@set -e;for j in $(NONKERNELDIRS); 				\
	do 								\
		$(MAKE_CMD) -C $$j all; 				\
	done

all_dirs:	bin_dirs
	[ -d $(DOCDIR) ]  || mkdir -p $(DOCDIR)
	for i in "man8/"; do \
		[ -d $(MANDIR)/$$i ]  || mkdir -p $(MANDIR)/$$i; \
	done


bin_dirs:
	[ -d $(HA) ]	  || mkdir -p $(HA)
	[ -d $(HALIB) ]	  || mkdir -p $(HALIB)
	[ -d $(HARCD) ]	  || mkdir -p $(HARCD)
	[ -d $(HAPPP) ]   || mkdir -p $(HAPPP)
	[ -d $(VARLIB) ]  || mkdir -p $(VARLIB)
	[ -d $(RESOURCEDIR) ] || mkdir -p $(RESOURCEDIR)
	[ -d $(CONFDIR) ] || mkdir -p $(CONFDIR)
	[ -d $(LOGROTATEDIR) ] || mkdir -p $(LOGROTATEDIR)


install:	all_dirs
	@set -e; for j in $(NONKERNELDIRS); 				\
	do 								\
		$(MAKE_CMD) -C $$j install; 				\
	done
	@if [ -f /etc/redhat-release ];					\
	then 								\
		T=rh-install; else T=install; 				\
	fi;								\

install_bin: bin_dirs
	@set -e; for j in $(NONKERNELDIRS);				\
	do 								\
		$(MAKE_CMD) -C $$j install_bin;				\
	done

#	For alanr's development environment...
#
handy: rpm
	cd doc; $(MAKE) ChangeLog
	rm -f $(WEBDIR)/ChangeLog
	cp doc/ChangeLog doc/GettingStarted.html $(TARFILE) $(RPMSRC) $(RPM386) $(RPMstonith) $(RPMldir) $(WEBDIR)

clean:	local_clean
	@set -e; for j in $(BUILDDIRS);				\
	do 						\
		$(MAKE_CMD) -C $$j clean;		\
	done

local_clean:
	rm -f *.o *.swp .*.swp core *~ make.out *.tar.gz
	rm -f $(LIBCMDS) $(SPECFILE)

pristine: local_clean rpmclean
	@set -e; for j in $(BUILDDIRS);				\
	do ( cd $$j; $(MAKE_CMD) pristine; ); done


###############################################################################
#
#	Below is all the boilerplate for making an RPM package out of
#	the things made above.
#
#	To make the rpm package, say "make rpm".
#
###############################################################################

RPM=/bin/rpm
TAR=/bin/tar
RPMFLAGS=-ta


#
#       OURDIR:         The directory these sources are in
#       TARFILE:        The name of the .tar.gz file we produce
#
OURDIR=$(PKG)-$(VERS)
TARFILE=$(PKG)-$(VERS).tar.gz

#
#       Definitions needed for making the RPM package...
#
#
#       The RPM package files we make are:
#               $(PKG)-$(VERS)-$(RPMREL).rpm
#        and    $(PKG)-$(VERS)-$(RPMREL).src.rpm
#
SPECFILE=$(PKG)-$(VERS).spec

rpmclean:
	rm -f $(PKG)-*.spec

#
#	Make the "real" spec file by substituting some handy variables
#	into the "source" spec file
#
$(SPECFILE):    $(SPECSRC)
		sed     -e 's#%PKG%#$(PKG)#g'		\
			-e 's#%VERS%#$(VERS)#g'		\
			-e 's#%RPMREL%#$(RPMREL)#g'	\
			-e 's#%HADIR%#$(HA)#g'		\
			-e 's#%HALIB%#$(HALIB)#g'	\
			-e 's#%APIGID%#$(APIGID)#g'	\
			-e 's#%APIGROUP%#$(APIGROUP)#g'	\
			-e 's#%MANDIR%#$(MANDIR)#g'	\
			-e 's#%DOCDIR%#$(DOCDIR)#g'	\
			< $(SPECSRC) > $(SPECFILE)

rpm:            tar $(SPECFILE)
		@if grep VERSION /etc/SuSE-release >/dev/null 2>&1;then	\
		  DISTRO=SuSE;						\
		else							\
		  DISTRO=RedHat;					\
		fi;							\
		$(RPM) $(RPMFLAGS) $(TARFILE);				\
		rm -fr /var/tmp/$(PKG)-root;				\
		echo "##########################################";	\
		echo "# $(PKG) $(VERS) RPM for $$DISTRO is ready";	\
		echo "##########################################";

labs: rpm
		synclabs
#
#       Things for making the tar.gz file

dist:		tar

tar:            $(TARFILE)

$(TARFILE):     tarclean clean $(SPECFILE) 
		mkdir -p $(OURDIR)
		find . -print | \
			egrep -v \
			"^./($(OURDIR)(/.*)?||.*tar\.gz|(.*/)?\.#.*)$$|CVS" | \
			cpio -pdm --quiet $(OURDIR)
		$(TAR)  -cf - $(OURDIR) | gzip - > $(TARFILE)
		rm -fr $(OURDIR)
		@echo "########################################################"
		@echo "# $(TARFILE) is ready for distribution"
		@echo "########################################################"


distclean:	tarclean

tarclean:	pristine
		rm -fr $(OURDIR) $(TARFILE)
		@set -e; for j in $(BUILDDIRS);			\
		do					\
			$(MAKE_CMD) -C $$j pristine;	\
		done


clobber:	tarclean rpmclean clean

###############################################################################
#
#       Below is all the boilerplate for making an DEB package out of
#       the things made above.
#
#       To make the rpm package, say "make deb".
#
###############################################################################

debclean:
	fakeroot dh_clean
	
deb:
	fakeroot dpkg-buildpackage

=== doc/Makefile ===
#	$Id: Makefile,v 1.8 2001/01/19 12:36:37 eric Exp $
#
#	Makefile for making High-Availability Linux documents
#
#
PKG=heartbeat
VERS=test!

#       Debian wants things to start with DESTDIR,
#       but Red Hat starts them with RPM_BUILD_ROOT     (sigh...)
#
#       When make is called is shuold be run as
#       BUILD_ROOT=$VAR make ...
#
#       e.g.
#       BUILD_ROOT=$RPM_BUILD_ROOT make install

DOCDIR=$(BUILD_ROOT)/usr/doc/$(PKG)
MANDIR=$(BUILD_ROOT)/usr/man

HTML2TXT = TERM=vt100 lynx -dump
INSTALL = install

MADEDOCS =			\
	ChangeLog		\
	HardwareGuide		\
	GettingStarted		\
	Requirements

DOCFILES =			\
	$(MADEDOCS)		\
	AUTHORS			\
	COPYING			\
	ChangeLog		\
	HardwareGuide.html	\
	GettingStarted.html	\
	Requirements.html	\
	README			\
	authkeys		\
	ha.cf			\
	haresources

MANPAGES = heartbeat.8

SPECSRC = ../Specfile

.PHONY = all install clean pristine

all: $(DOCFILES)

ChangeLog:	$(SPECSRC)
	rm -fr ChangeLog
	sed -e '1,/^%changelog/d' -e '/^%/,$$d' <$(SPECSRC) >ChangeLog
	chmod 444 ChangeLog

HardwareGuide: HardwareGuide.html
	$(HTML2TXT) HardwareGuide.html >HardwareGuide

GettingStarted: GettingStarted.html
	$(HTML2TXT) GettingStarted.html >GettingStarted

Requirements: Requirements.html
	$(HTML2TXT) Requirements.html >Requirements


install: all $(DOCFILES)
	$(INSTALL) -cm 644 $(DOCFILES) $(DOCDIR)
	$(INSTALL) -cm 644 $(MANPAGES) $(MANDIR)/man8
	$(INSTALL) -cm 644 ../proc-ha/proc_ha.c $(DOCDIR)

rh-install: install

install_bin: all
rh-install_bin: install_bin

clean:
	rm -f core *.o *.swp .*.swp make.out 

pristine: clean
	rm -f $(MADEDOCS)

=== heartbeat/Makefile ===
#	$Id: Makefile,v 1.48.2.1 2001/10/08 22:04:32 alan Exp $
#
#	Makefile for making High-Availability Linux heartbeat code
#
#	If you're installing this package without going through an RPM,
#	you'll need to read the README to see how to make PPP work for you.
#
#
PKG=heartbeat

INITD=/etc/init.d
LOGROTATED=$(BUILD_ROOT)/etc/logrotate.d

#       Debian wants things to start with DESTDIR,
#       but Red Hat starts them with RPM_BUILD_ROOT     (sigh...)
#
#       When make is called is shuold be run as
#       BUILD_ROOT=$VAR make ...
#
#       e.g.
#       BUILD_ROOT=$RPM_BUILD_ROOT make install

HA=$(BUILD_ROOT)/etc/ha.d
HALIB=$(BUILD_ROOT)/usr/lib/$(PKG)
GENLIB=$(BUILD_ROOT)/usr/lib/
HARCD=$(HA)/rc.d
VARRUN=$(BUILD_ROOT)/var/run
VARLIB=$(BUILD_ROOT)/var/lib/$(PKG)
APIDIR=$(VARLIB)/api
APIREG=$(VARLIB)/register
APICASUAL=$(VARLIB)/casual
FIFO=$(VARLIB)/fifo
#HAPPP=$(VARRUN)/ppp.d
INITSCRIPT=$(BUILD_ROOT)/$(INITD)/$(PKG)
LOGROTATESCRIPT=$(LOGROTATED)/$(PKG)
RESOURCEDIR=$(BUILD_ROOT)/etc/ha.d/resource.d
COMM_MODULES_DIR=$(HALIB)/modules/comm/
AUTH_MODULES_DIR=$(HALIB)/modules/auth/
PICFLAG=-fPIC
APIGID=60
APIGROUP=haclient


# For FreeBSD
LIBDL =
LIBINTL = -lintl
# For Linux
LIBDL = -ldl
LIBINTL =

# Can't include the Build Root as a part of the compilation process
B_HA=$(DESTDIR)/etc/ha.d
B_VARRUN=$(DESTDIR)/var/run
B_VARLIB=$(DESTDIR)/var/lib/$(PKG)
B_FIFO=$(B_VARRUN)/heartbeat-fifo
#B_HAPPP=$(B_VARRUN)/ppp.d
B_HALIB=/usr/lib/$(PKG)

HTML2TXT = lynx -dump
INSTALL = install
MAKE  	= make


#
#	(We like warnings!  Unfortunately, several Linux header files have errors that prohibit
#	 turning on -pedantic-errors)
#
CFLAGS=-g 				\
	$(OPTFLAGS)			\
	-Wall				\
	-Wmissing-prototypes		\
	-Wmissing-declarations		\
	-Wstrict-prototypes		\
	-Wshadow			\
	-Wpointer-arith			\
	-Wwrite-strings			\
	-Werror				\
	$(PICFLAG)			\
	-I.				\
	-I../stonith			\
	-DVERSION='"$(VERS)"'		\
	-DHA_D='"$(B_HA)"'		\
	-DHALIB='"$(B_HALIB)"'		\
	-DVAR_RUN_D='"$(B_VARRUN)"'	\
	-DVAR_LIB_D='"$(B_VARLIB)"'	\
	-DFIFONAME='"$(B_FIFO)"'
#	-DPPP_D='"$(B_HAPPP)"'

#	-Wtraditional

LDFLAGS = -fident

SHAREDFLAGS = $(LIBDL) $(LIBINTL)  -rdynamic

HEARTBEAT = heartbeat
H_OBJLIST = 	heartbeat.o		\
		auth.o			\
		config.o		\
		hb_api.o		\
		ha_if.o			\
		ha_malloc.o		\
		ha_msg.o		\
		ha_msg_internal.o	\
		lock.o			\
		module.o

COMM_OBJS = ping.o serial.o udp.o mcast.o

AUTH_OBJS =	md5.o sha1.o crc.o

H_HDRS    = heartbeat.h ha_msg.h hb_api.h hb_api_core.h ha_if.h
HBLIBS=	../stonith/libstonith.a
LIBS=

SENDARP =	send_arp
S_OBJLIST =	send_arp.o
S_HDRS =

FINDIF	  =	findif
F_OBJLIST =	findif.o
F_HDRS	  =	

CLIENTOBJS = ha_msg.o lock.o client_lib.o
CLIENTLIB = libhbclient.a
CLIENTSO =  libhbclient.so

LIBS = $(CLIENTLIB) $(CLIENTSO) $(COMM_OBJS:.o=.so) $(AUTH_OBJS:.o=.so)

LIBCMDS = $(HEARTBEAT) $(SENDARP) $(FINDIF) $(LDIRECTORD) api_test

PRODUCTS = $(LIBCMDS) $(LIBS) 

LIBSCRIPTS = lib/mach_down lib/req_resource lib/ResourceManager

RESOURCECMDS= resource.d/IPaddr resource.d/AudibleAlarm resource.d/Raid1 resource.d/Filesystem

RCCMDS = rc.d/ip-request rc.d/ip-request-resp rc.d/status	\
	rc.d/ns_st rc.d/ifstat rc.d/shutdone
ROOTEXEC = harc
ROOTFILES = shellfuncs README.config

SPECSRC = Specfile

all: $(PRODUCTS)

$(HEARTBEAT): $(H_OBJLIST) $(H_HDRS) $(HBLIBS)
	$(CC) $(LDFLAGS) $(H_OBJLIST) $(SHAREDFLAGS) $(HBLIBS) -o $@

$(CLIENTLIB): $(CLIENTOBJS)
	ar rc $(CLIENTLIB) $(CLIENTOBJS)

$(CLIENTSO): $(CLIENTLIB)
	ld -shared -o $(CLIENTSO) --whole-archive $(CLIENTLIB)

$(COMM_OBJS:.o=.so): $(COMM_OBJS)
	$(CC) -shared -o $@ $(@:.so=.o)

$(AUTH_OBJS:.o=.so): $(AUTH_OBJS)
	$(CC) -shared -o $@ $(@:.so=.o)

api_test: api_test.o $(CLIENTLIB)
	$(CC) $(LDFLAGS) $^ -o api_test

$(H_OBJLIST) : $(H_HDRS)

$(SENDARP): $(S_OBJLIST) $(S_HDRS)
	$(CC) $(LDFLAGS) $(S_OBJLIST) -o $(SENDARP)

$(FINDIF): $(F_OBJLIST)
	$(CC) $(LDFLAGS) $(F_OBJLIST) -o $(FINDIF)

$(LDIRECTORD):
	$(MAKE) -C $(LDIRECTORD_DIR)

install: install_lib install_bin

install_bin: all
	SECGID=70
	if grep '^$(APIGROUP):' /etc/group >/dev/null; then : OK; 	\
	elif								\
          [ -x /usr/sbin/groupadd ];					\
        then								\
	  if /usr/sbin/groupadd -g $(APIGID) $(APIGROUP);		\
          then : Group $(APIGID) added successfully;			\
          else /usr/sbin/groupadd -g $(SECGID) $(APIGROUP);		\
          fi;								\
	elif								\
          [ -x /usr/sbin/pw  ];						\
        then								\
          /usr/sbin/pw group add $(APIGROUP);				\
        fi
	[ -d $(VARLIB) ]    || mkdir  -m 755 -p $(VARLIB)
	fifo() { if [ ! -p $$2 ]; then mkfifo $$2; chmod $$1 $$2; fi;};	\
        fifo 600 $(FIFO); fifo 620 $(APIREG)
	[ -p $(FIFO) ]      || mkfifo -m 600    $(FIFO)
	[ -p $(APIREG) ]    || mkfifo -m 620    $(APIREG)
	[ -d $(APIDIR) ]    || mkdir  -m 755 -p $(APIDIR)
	[ -d $(APICASUAL) ] || mkdir  -m 1770 -p $(APICASUAL)
	-chgrp $(APIGROUP) $(APICASUAL) $(APIREG)
	$(INSTALL) -cm 755 $(LIBCMDS) $(LIBSCRIPTS) $(HALIB)
	$(INSTALL) -cm 755 $(RCCMDS) $(HARCD)
	$(INSTALL) -cm 755 $(RESOURCECMDS) $(RESOURCEDIR)
	$(INSTALL) -cm 644 $(ROOTFILES) $(HA)
	$(INSTALL) -cm 755 $(ROOTEXEC) $(HA)
	mkdir -p $(COMM_MODULES_DIR)
	mkdir -p $(AUTH_MODULES_DIR)
	$(INSTALL) -cm 755 $(COMM_OBJS:.o=.so) $(COMM_MODULES_DIR)
	$(INSTALL) -cm 755 $(AUTH_OBJS:.o=.so) $(AUTH_MODULES_DIR)
	if [ ! -d  $(BUILD_ROOT)/$(INITD) ]; then mkdir -p $(BUILD_ROOT)/$(INITD); fi
	$(INSTALL) -cm 755 heartbeat.sh $(INITSCRIPT)
	[ -d $(LOGROTATED) ] && \
		$(INSTALL) -cm 644 heartbeat.logrotate $(LOGROTATESCRIPT)

install_lib: all
	if [ ! -d  $(GENLIB) ]; then mkdir -p $(GENLIB); fi
	$(INSTALL) -cm 755 $(LIBS) $(GENLIB)

clean:	
	rm -f *.o *.swp .*.swp core make.out *.so
	rm -f $(PRODUCTS)

pristine: clean

=== ldirectord/Makefile ===
#
# Makefile for ldirectord
# $Id: Makefile,v 1.16 2001/01/16 21:17:46 alan Exp $
#
# Produces all manner of documentation for ldirectord
#
# Author: Jacob Rief <jacob.rief@tiscover.com>
#
# This file: Horms <horms@vergenet.net>
#

POD2MAN		= pod2man
SBIN		= $(BUILD_ROOT)/usr/sbin
MANDIR		= $(BUILD_ROOT)/usr/man/man8
LOGROTATED	= etc/logrotate.d
LOGROTATE	= $(BUILD_ROOT)/$(LOGROTATED)
INITD		= etc/init.d
INIT		= $(BUILD_ROOT)/$(INITD)
CONF            = $(BUILD_ROOT)/etc/ha.d/conf
INSTALL		= install
MKDIR		= mkdir

#####################################
# No servicable parts below this line


.PHONY=clean all install pristine

all: ldirectord.8

pristine: clean
clean:
	$(RM) -f ldirectord.8

ldirectord.8:	ldirectord
	$(POD2MAN) $< > $@

install: ldirectord.8
	[ -d $(CONF) ] ||  $(MKDIR) -p $(CONF)
	[ -d $(SBIN) ] ||  $(MKDIR) -p $(SBIN)
	$(INSTALL) -m 0755 ldirectord $(SBIN)
	[ -d $(MANDIR) ] ||  $(MKDIR) -p $(MANDIR)
	$(INSTALL) -m 0644 ldirectord.8 $(MANDIR)/man8
	[ -d $(LOGROTATE) ] ||  $(MKDIR) -p $(LOGROTATE) 
	$(INSTALL) -m 0644  ldirectord.logrotate $(LOGROTATE)/ldirectord
	[  -d $(INIT) ]     ||  $(MKDIR) -p $(INIT)	
	$(INSTALL) -m 0755  ldirectord.sh $(INIT)/ldirectord
	
# Override implicit rule so ldirectord won't get clobered by ldirectord.sh
ldirectord:

=== proc-ha/Makefile ===
#
# $Id: Makefile,v 1.5 2000/12/12 22:09:34 alan Exp $
#
# Makefile for the Linux-HA /proc interface
#
# Author(s): Volker Wiegand <wiegand@suse.de>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version
# 2 of the License, or (at your option) any later version.
#
#
# Please visit the end of this file for a complete history log.
#
#
#	This Makefile includes Red Hat "hacks" to allow multiple
#	module versions (UP, SMP, BOOT) to be built at once.
#
#	Thanks to Cristian Gafton for enlightening me (alanr) on what to do.
#

#       Debian wants things to start with DESTDIR,
#       but Red Hat starts them with RPM_BUILD_ROOT     (sigh...)
#
#       When make is called is shuold be run as
#       BUILD_ROOT=$VAR make ...
#
#       e.g.
#       BUILD_ROOT=$RPM_BUILD_ROOT make install

PKG=heartbeat

OBJDIR = $(BUILD_ROOT)/usr/lib/$(PKG)
INSTALL = install

CC = gcc

#
#	Volker had this thing set on, but I don't seem to have it. YMMV
#
# VFLAGS = -V2.7.2.3
#
#
CFLAGS += -Wall -fomit-frame-pointer -DKERNEL -DMODULE $(OPTFLAGS)

SRC = proc_ha.c

#
#	This is for other than Red Hat >= 6.1 installs...
#
OBJLIST = ha.o


.PHONY = all install clean pristine

all: $(OBJLIST)

ha.o: $(SRC)
	$(CC) $(CFLAGS) -c $(SRC) -o $@

install: all
	$(INSTALL) -cm 644 $(OBJLIST) $(OBJDIR)

install_bin: install
#
#	This is for Red Hat >= 6.1 install...
#

UPFLAGS = -D__BOOT_KERNEL_UP=1
SMPFLAGS = -D__BOOT_KERNEL_SMP=1
BOOTFLAGS = -D__BOOT_KERNEL_BOOT=1
RH_OBJLIST = ha-up.o ha-smp.o ha-boot.o

rh-all: $(RH_OBJLIST)

ha-up.o: $(SRC)
	$(CC) $(CFLAGS) $(UPFLAGS) -c $(SRC) -o $@

ha-smp.o: $(SRC)
	$(CC) $(CFLAGS) $(SMPFLAGS) -c $(SRC) -o $@

ha-boot.o: $(SRC)
	$(CC) $(CFLAGS) $(BOOTFLAGS) -c $(SRC) -o $@

rh-install: $(RH_OBJLIST)
	$(INSTALL) -cm 644 $(RH_OBJLIST) $(OBJDIR)

rh-install_bin: rh-install
clean:
	rm -f *.o core *~

pristine: clean

#####################################################
# $Log: Makefile,v $
# Revision 1.5  2000/12/12 22:09:34  alan
# Makefile changes to correct a spelling error and make it build correctly on IA64.
#
# Revision 1.4  2000/04/15 22:05:27  horms
# Tidied up build process
#
# Revision 1.3  1999/10/05 06:00:58  alanr
# Added RPM Cflags to Makefiles
#
# Revision 1.2  1999/09/30 18:34:27  alanr
# Matt Soffen's FreeBSD changes
#
# Revision 1.1.1.1  1999/09/23 15:31:24  alanr
# High-Availability Linux
#
# Revision 1.4  1999/09/23 14:32:59  alanr
# This version is for new directory structure, plus the ability to do both red hat and non-red-hat installs out of the same makefile...
#
# Revision 1.2  1999/09/18 23:35:14  alanr
# Fixed up the comments.
#
# Revision 1.1  1999/09/18 23:29:41  alanr
# Initial revision
#
# Revision 1.2  1999/09/07 07:32:05  alanr
# Moved BIN directory...
#
# Revision 1.1  1999/07/06 12:17:07  alanr
# Initial revision
#
#####################################################

=== stonith/Makefile ===
#	$Id: Makefile,v 1.19.2.1 2001/09/29 19:54:59 alan Exp $
#
#	Makefile for making High-Availability Linux heartbeat code
#
#	If you're installing this package without going through an RPM,
#	you'll need to read the README to see how to make PPP work for you.
#
#
PKG=heartbeat

INITD=$(shell [ -d /etc/init.d ] && echo /etc/init.d || echo /etc/rc.d/init.d )
LOGROTATED=/etc/logrotate.d

#       Debian wants things to start with DESTDIR,
#       but Red Hat starts them with RPM_BUILD_ROOT     (sigh...)
#
#       When make is called is shuold be run as
#       BUILD_ROOT=$VAR make ...
#
#       e.g.
#       BUILD_ROOT=$RPM_BUILD_ROOT make install



HTML2TXT = lynx -dump
INSTALL = install
MAKE  	= make

# For FreeBSD
LIBDL =
LIBINTL = -lintl
# For Linux
LIBDL = -ldl
LIBINTL =

# ld -shared --whole-archive


#
#	(We like warnings!  Unfortunately, several Linux header files have errors that prohibit
#	 turning on -pedantic-errors)
#
CFLAGS=-g 				\
	$(OPTFLAGS)			\
	-Wall				\
	-Wmissing-prototypes		\
	-Wmissing-declarations		\
	-Wstrict-prototypes		\
	-Wshadow			\
	-Wpointer-arith			\
	-Wwrite-strings			\
	$(PICFLAG)			\
	-I.				\
	-DHAVE_STDARG_H=1		\
	-DST_TEXTDOMAIN='"Stonith"'	\
	-DLOCALEDIR='"/usr/share/locale"'	\
#	-DAPC_DEBUG

STONITH = stonith

MEATWARE = meatclient

ARFILE = libstonith.a
SHLIB  = libstonith.so

S_OBJLIST =	stonith.o

MODULES = null.o			\
	apcmaster.o			\
	apcmastersnmp.o			\
	apcsmart.o			\
	meatware.o			\
	rps10.o				\
	nw_rpc100s.o			\
	baytech.o			\
	ssh.o

S_HDRS    =	expect.h stonith.h

LIBS=  $(MODULES:.o=.so)

BINDIR = $(BUILD_ROOT)/usr/sbin
LIBDIR = $(BUILD_ROOT)/usr/lib
MODDIR = $(LIBDIR)/$(STONITH)
INCDIR = $(BUILD_ROOT)/usr/include

CFLAGS := $(CFLAGS) -DSTONITH_MODULES='"$(MODDIR)"'

BINCMDS = $(STONITH) $(MEATWARE)

LIBFILES = $(ARFILE) $(SHLIB)


# If you want the VA Linux Cluster stonith module (VACM) installed, 
# uncomment the following line.  You must have the vacmclient library 
#VACM_STONITH = vacm_stonith.so 
PRODUCTS = $(BINCMDS) $(LIBS) baytech.so meatware.so rps10.so nw_rpc100s.so $(VACM_STONITH)

INCFILES = stonith.h

SPECSRC = Specfile

all: $(PRODUCTS)

null.so:	null.o
	$(CC) -shared -o $@ $^

apcmaster.so:	apcmaster.o expect.o
	$(CC) -shared -o $@ $^

#		Note: these two libraries are quite large...
apcmastersnmp.so:	apcmastersnmp.o
	$(CC) -shared -o $@ $^ -lsnmp -lcrypto

apcsmart.so:	apcsmart.o expect.o
	$(CC) -shared -o $@ $^

baytech.so:	baytech.o expect.o
	$(CC) -shared -o $@ $^

meatware.so:	meatware.o expect.o
	$(CC) -shared -o $@ $^

nw_rpc100s.so:	nw_rpc100s.o expect.o
	$(CC) -shared -o $@ $^

rps10.so:	rps10.o expect.o
	$(CC) -shared -o $@ $^


ssh.so:	ssh.o expect.o
	$(CC) -shared -o $@ $^

vacm_stonith.so: vacm_stonith.o
	$(CC) -shared -o $@ $^ -lvacmclient


$(ARFILE): $(S_OBJLIST)
	ar rc $(ARFILE) $(S_OBJLIST)

$(SHLIB): $(ARFILE)
	ld -shared -o $(SHLIB) --whole-archive $(ARFILE)

$(STONITH): $(ARFILE) main.o
	$(CC) main.o $(ARFILE) $(LIBDL) $(LIBINTL) -o stonith

$(MEATWARE):
	$(CC) meatclient.c -o meatclient

$(S_OBJLIST) : $(S_HDRS)

install: install_bin install_lib install_inc

install_bin: all
	if [ ! -d $(BINDIR) ]; then mkdir -p $(BINDIR) ; fi
	$(INSTALL) -cm 755 $(BINCMDS) $(BINDIR)
	ls -l $(BINDIR)/$(BINCMDS)

install_lib: $(LIBFILES) $(MODULES) baytech.so rps10.so nw_rpc100s.so $(VACM_STONITH)
	$(INSTALL) -cm 755 $(LIBFILES) $(LIBDIR)
	mkdir -p $(MODDIR)
	$(INSTALL) -cm 755 $(MODULES:.o=.so) baytech.so rps10.so nw_rpc100s.so $(VACM_STONITH) $(MODDIR)

install_inc:
	if [ ! -d $(INCDIR) ]; then mkdir $(INCDIR); fi
	$(INSTALL) -cm 644 $(INCFILES) $(INCDIR)

clean:	
	rm -f *.o *.swp .*.swp *.a *.so core make.out
	rm -f $(BINCMDS) $(LIBFILES)

pristine: clean

## heartbeat 3.0.2+hg12555

=== debian/changelog ===
heartbeat (1:3.0.2+hg12555-2~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 30 Mar 2010 11:27:45 +0000

heartbeat (1:3.0.2+hg12555-2) unstable; urgency=low

  * Removed 01_docbook_path.dpatch from debian/patches as it's useless 

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 30 Mar 2010 11:08:39 +0000

heartbeat (1:3.0.2+hg12555-1) unstable; urgency=low

  * New Mercurial checkout
  * Adopt patch by Florian Haas to delete libnet build dependency

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 30 Mar 2010 07:40:29 +0000

heartbeat (1:3.0.2+hg12547-2) unstable; urgency=low

  [ Martin Loschwitz ]
  * Re-add dh_installinit but delete heartbeat.init
  * Deleted some ancient files from debian-subdirectory

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 03 Mar 2010 08:49:00 +0100

heartbeat (1:3.0.2+hg12547-1) unstable; urgency=low

  [ Martin Loschwitz ]
  * Update to latest HG version
  * New copyright-file by Ante Karamatic
  * Use heartbeat standard init script instead of the old one

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 02 Mar 2010 17:11:00 +0100

heartbeat (1:3.0.2-2) UNRELEASED; urgency=low

  [ Simon Horman ]
  * Build-depend on libsensors4-dev | libsensors-dev.
  * remove ldconfig from heartbeat.{postrm,postinst}.

  [ Frederik Schüler ]
  * Add myself to uploaders.
  * Drop duplicate priority and section fields from debian/control.
  * Bump standards version to 3.8.4, no changes needed.
  * Switch to debhelper 7.
  * Switch to source version 3.0 "quilt", drop dpatch dependency.
  * Use dh_prep instead of dh_clean -k.
  * Depend on cluster-agents.

 -- Frederik Schüler <fs@debian.org>  Fri, 26 Feb 2010 19:20:44 +0100

heartbeat (1:3.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 03 Feb 2010 08:05:00 +0100

heartbeat (1:3.0.2~rc2+hg20100127-0test1) unstable; urgency=low

  * Incorporating a whole lot of change introduced by Ante Karamatic
    from Ubuntu; thank you very much!
  * New heartbeat source checkout

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 27 Jan 2010 13:11:00 +0200

heartbeat (3.0.2~rc2-0ubuntu0ppa3) lucid; urgency=low

  * Drop hard dep on pacemaker for heartbet; moved to Recommends

 -- Ante Karamatic <ivoks@ubuntu.com>  Wed, 06 Jan 2010 19:41:16 +0000

heartbeat (3.0.2~rc2-0ubuntu0ppa2) lucid; urgency=low

  * debian/heartbeat.install:
    - follow upstream changes
  * debian/control:
    - added dpatch, docbook-xsl and xsltproc to build depends
  * debian/rules:
    - (un)apply patches
  * debian/patches/01_docbook_path.dpatch:
    - use local docbook-xsl

 -- Ante Karamatic <ivoks@ubuntu.com>  Wed, 06 Jan 2010 11:33:21 +0000

heartbeat (3.0.2~rc2-0ubuntu0ppa1) lucid; urgency=low

  * New upstream release

 -- Ante Karamatic <ivoks@ubuntu.com>  Wed, 06 Jan 2010 10:57:33 +0000

heartbeat (3.0.beta1+hg20091102-2~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports. 

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 03 Nov 2009 08:37:01 +0000

heartbeat (3.0.beta1+hg20091102-2) unstable; urgency=low

  * Added pacemaker-dependency to heartbeat as heartbeat would be
    pretty useless otherwise. 

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 03 Nov 2009 08:04:15 +0000

heartbeat (3.0.beta1+hg20091102-1) unstable; urgency=low

  [ Martin Loschwitz ]
  * New upstream checkout
  * heartbeat: Provide cluster-messaging-framework

 -- Martin Loschwitz <madkiss@debian.org>  Mon, 02 Nov 2009 13:22:43 +0000

heartbeat (3.0.beta1+hg20091012-1) unstable; urgency=low

  [ Martin Loschwitz ] 
  * New upstream version

 -- Martin Loschwitz <madkiss@debian.org>  Mon, 12 Oct 2009 14:37:00 +0200
 

heartbeat (3.0.beta1+hg20090915-1) unstable; urgency=low

  [ Martin Loschwitz ]
  * Removed huge parts of debian/ due to upstream package split up

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 15 Sep 2009 09:53:00 +0200

heartbeat (2.99.2+sles11r9-5) unstable; urgency=low

  [ Martin Loschwitz ]
  * fix binary-arch/binary-indep handling in debian/rules, REALLY fixing the
    duplicate file problem this time.

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 02 Jun 2009 11:45:00 +0200

heartbeat (2.99.2+sles11r9-4) unstable; urgency=low
  
  [ Martin Loschwitz ]
  * Fix bug introduced in -3 where some LRM regression documentation would
    be both in heartbeat and in heartbeat-common

 -- Martin Loschwitz <madkiss@debian.org>  Mon, 01 Jun 2009 18:42:00 +0200
 

heartbeat (2.99.2+sles11r9-3) experimental; urgency=low

  [ Martin Loschwitz ]
  * More tweaking for the heartbeat/heartbeat-common split, based
    on the advise by Andrew Beekhof (Thank you very much!)

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 27 May 2009 13:16:00 +0200

heartbeat (2.99.2+sles11r9-2) experimental; urgency=low

  [ Martin Loschwitz ]
  * include send_arp as things might get troublesome otherwise

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 27 May 2009 00:00:00 +0200

heartbeat (2.99.2+sles11r9-1) experimental; urgency=low
  
  [ Martin Loschwitz ]
  * Updated to latest upstream version

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 22 May 2009 08:51:00 +0200

heartbeat (2.99.2+sles11r7-1) experimental; urgency=low

  [ Martin Loschwitz ]
  * Redid package structure, adding the following new packages:
    libheartbeat2
    libheartbeat2-dev
    heartbeat-common
    heartbeat-common-dev
    This makes the packages as compatible as possible with the according
    SLES packages; additionally, it allows to have a nearly openais-only
    pacemaker.
  * Changed Maintainer to the Debian HA-Maintainers
  * New Upstream version

 -- Martin Loschwitz <madkiss@debian.org>  Sat, 21 Mar 2009 00:04:00 +0100

heartbeat (2.99.2-1) experimental; urgency=low

  [ Anibal Monsalve Salazar ]
  * New Upstream

  * Add myself to uploaders

  [ Simon Horman ]
  * Change distribution from sid to experimental



=== debian/control ===
Source: heartbeat
Section: admin
Priority: optional
Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders: Martin Loschwitz <madkiss@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>, Simon Horman <horms@debian.org>, Frederik Schüler <fs@debian.org>
Build-Depends: debhelper (>= 7), libcluster-glue-dev, cluster-glue-dev, libsnmp-dev, libglib2.0-dev, perl, net-tools, iputils-ping, python, psmisc, iproute, libtool, libcurl4-openssl-dev | libcurl3-openssl-dev, libxml2-dev, bison, flex, uuid-dev, lynx, libbz2-dev, zlib1g-dev, uuid-dev, libsensors4-dev | libsensors-dev, libltdl3-dev, swig, openssh-client, libgnutls-dev, python-central (>= 0.5), python-dev, libpam0g-dev, libncurses5-dev, psmisc, libopenhpi-dev, libopenipmi-dev, autoconf, automake, libtool, docbook-xsl, xsltproc
Standards-Version: 3.8.4
XS-Python-Version: current

Package: heartbeat
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, cluster-glue, iproute, adduser, iputils-ping, psmisc, gawk, mawk, libxml2-utils, libpam-runtime (>= 0.76-14), cluster-agents
Recommends: rsyslog | system-log-daemon, logrotate, iptables, pacemaker (>= 1.0.6)
Provides: cluster-messaging-framework
XB-Python-Version: ${python:Versions}
Description: Subsystem for High-Availability Linux
 heartbeat is a basic heartbeat subsystem for Linux-HA which implements
 serial, UDP, and PPP/UDP heartbeats together with IP address takeover
 including a nice resource model including resource groups.
 .
 It currently supports a very sophisticated dependency model for n-node
 clusters. It is both extremely useful and quite stable at this point in
 time.

Package: heartbeat-dev
Section: devel
Architecture: any
Depends: heartbeat (= ${binary:Version}), ${misc:Depends}
Conflicts: libstonith-dev (<< 2.0.8-3), libpils-dev (<< 2.0.8-3), pacemaker-dev (<< 1.0.1-1)
XB-Python-Version: ${python:Versions}
Description: Subsystem for High-Availability Linux - development files
 heartbeat is a basic heartbeat subsystem for Linux-HA which implements
 serial, UDP, and PPP/UDP heartbeats together with IP address takeover
 including a nice resource model including resource groups.
 .
 It currently supports a very sophisticated dependency model for n-node
 clusters. It is both extremely useful and quite stable at this point in
 time.
 .
 This package contains Heartbeat-specific development files.

Package: libheartbeat2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: heartbeat (<= 2.99.2+sles11r7-0+1)
Conflicts: heartbeat (<= 2.99.2+sles11r7-0+1)
Description: Subsystem for High-Availability Linux (libraries)
 heartbeat is a basic heartbeat subsystem for Linux-HA which implements
 serial, UDP, and PPP/UDP heartbeats together with IP address takeover
 including a nice resource model including resource groups.
 .
 It currently supports a very sophisticated dependency model for n-node
 clusters. It is both extremely useful and quite stable at this point in
 time.
 .
 This package contains the Heartbeat libraries to make them available
 to other programs like Pacemaker without having to install the whole
 Heartbeat suite.

Package: libheartbeat2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libheartbeat2 (= ${binary:Version})
Replaces: heartbeat (<= 2.99.2+sles11r7-0+1)
Conflicts: heartbeat (<= 2.99.2+sles11r7-0+1)
Description: Subsystem for High-Availability Linux (development files)
 heartbeat is a basic heartbeat subsystem for Linux-HA which implements
 serial, UDP, and PPP/UDP heartbeats together with IP address takeover
 including a nice resource model including resource groups.
 .
 It currently supports a very sophisticated dependency model for n-node
 clusters. It is both extremely useful and quite stable at this point in
 time.
 .
 This package contains the Heartbeat library development files to make
 them available to other programs like Pacemaker.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# Copyright 1997 to 1999 by Joey Hess.
# License: GNU General Public License (GPL)

#Thanks to Paolo Molaro <lupus@debian.org> and heartbeat_0.4.6-2.diff

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

cfg:=--prefix=/usr --sysconfdir=/etc --localstatedir=/var \
  --mandir=/usr/share/man --disable-crm \
  --with-group-name=haclient --with-ccmuser-name=hacluster \
  --enable-snmp-subagent --with-mibsdir=/usr/share/snmp/mibs \
  --enable-libc-malloc

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
       CFLAGS += -O0
else
       CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
       INSTALL_PROGRAM += -s
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS += -j$(NUMJOBS)
endif

DTMP:=`pwd`/debian/tmp
RELEASE := $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }')
UPSTREAM := $(shell echo "$(RELEASE)" | sed 's/:\?\([0-9\.]\+\)-[0-9].*/\1/')


build: build-stamp
build-stamp:
	dh_testdir
	# Only boostrap as neccessary
	if test -e ./configure -a ! -x ./configure; then		\
		chmod u+x ./configure;					\
	fi
	if test -e ./py-compile -a ! -x ./py-compile; then		\
		chmod u+x ./py-compile;					\
	fi
	test ! -x ./configure || ./configure $(cfg);
	test -x ./configure || ./bootstrap $(cfg)
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f tools/ccdv
	-find . -name '*.py[co]' | xargs rm -f
	dh_clean
	rm -f libltdl.tar autoconf automake autoheader
	rm -f debian/init debian/*.debhelper debian/*.substvars config.log
	rm -r -f debian/heartbeat debian/heartbeat-dev debian/ldirectord \
		debian/libpils0 debian/libpils-dev \
		debian/libstonith0 debian/libstonith-dev debian/stonith
	
	# Zero autoconf foo
	rm -f config.status libltdl/config.log libltdl/config.status 

install: build install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp \
	  MAKE=make \
	  docdir=/usr/share/doc/heartbeat
	
	mv $(DTMP)/usr/share/heartbeat/cts/README \
		$(DTMP)/usr/share/doc/heartbeat/README.cts
	
	find $(DTMP)/usr/share/man -type f | xargs gzip -v --best
	install -c -m 755 heartbeat/init.d/heartbeat \
                $(DTMP)/etc/init.d/heartbeat
	cd $(DTMP)/etc/ && ln -s ha.d heartbeat
	
	dh_install --source=debian/tmp --list-missing
	
	# remove more useless COPYING files
	rm -rf `pwd`/debian/tmp/usr/share/doc/heartbeat/COPYING*
	
	# move documentation stuff to the right directory
	mkdir -p `pwd`/debian/tmp/usr/share/doc/heartbeat/
	
	# remove unnecessary directories
	rm -rf `pwd`/debian/heartbeat-dev/usr/include/
	rm -rf `pwd`/debian/heartbeat-common-dev/usr/lib/stonith/plugins/stonith2/ribcl.py
	
	rm -rf `pwd`/debian/heartbeat/etc/ha.d/{conf,cts}
	rm -rf `pwd`/debian/heartbeat/usr/lib/stonith
	rm -rf `pwd`/debian/heartbeat/usr/lib/pils
	rm -rf `pwd`/debian/heartbeat/usr/include/
	rm -rf `pwd`/debian/heartbeat/usr/lib/heartbeat/plugins/AppHBNotification/
	
	rm -rf `pwd`/debian/heartbeat-common/usr/lib/ocf/resource.d/heartbeat/ldirectord
	
	# remove duplicate header file to not conflict with cluster-glue
	rm -rf `pwd`/debian/libheartbeat2-dev/usr/include/heartbeat/ha_msg.h
	rm -rf `pwd`/debian/libheartbeat2-dev/usr/include/heartbeat/compress.h

binary-indep: build install
	
	dh_testdir -i
	dh_testroot -i
	dh_installdebconf -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installinit -i -n -u 'defaults 20 32'
	dh_installman -i
	dh_installchangelogs -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_makeshlibs -i -V
	dh_installdeb -i
	dh_perl -i
	dh_pycentral -i
	dh_python -i `pwd`/usr/lib/heartbeat/cts `pwd`/usr/lib/heartbeat
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	# remove duplicate doc file
	rm -rf `pwd`/debian/heartbeat/usr/share/doc/heartbeat/README.lrm_regression_tests
	
	dh_testdir -a
	dh_testroot -a
	dh_installdebconf -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installinit -a -n -u 'defaults 20 32'
	dh_installman -a
	dh_installchangelogs -a `pwd`/doc/ChangeLog
	dh_lintian -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	
	# remove redundant license files
	rm -rf `pwd`/debian/heartbeat/usr/share/doc/heartbeat/COPYING.*
	rm -rf `pwd`/debian/heartbeat-common/usr/share/doc/heartbeat/COPYING.gz
	
	dh_makeshlibs -a -V
	dh_installdeb -a
	dh_perl -a
	dh_pycentral -a
	dh_python -a `pwd`/usr/lib/heartbeat/cts `pwd`/usr/lib/heartbeat
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
#	@echo "Any unpackaged files follow (.a and .la files omitted):"
#	@cd $(DTMP) && find ./ \! -type d | egrep -v \\\.l?a || true

.PHONY: build clean binary binary-indep binary-arch install patch unpatch

## heartbeat 3.0.3

=== debian/changelog ===
heartbeat (1:3.0.3-2ubuntu1) natty; urgency=low

  * debian/patches/ftbfs_no_as_needed.patch: Fix FTBFS (LP: #687975).

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 09 Dec 2010 14:09:59 -0500

heartbeat (1:3.0.3-2) unstable; urgency=low

  * Add build dependency on docbook-xml.

 -- Frederik Schüler <fs@debian.org>  Mon, 03 May 2010 20:09:52 +0200

heartbeat (1:3.0.3-1) unstable; urgency=low

  * New upstream version 3.0.3
  * Disable strict warnings (Close: #577550)

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 16 Apr 2010 07:13:15 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: heartbeat
 Section: admin
 Priority: optional
-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders: Martin Loschwitz <madkiss@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>, Simon Horman <horms@debian.org>, Frederik Schüler <fs@debian.org>
-Build-Depends: debhelper (>= 7), libcluster-glue-dev, cluster-glue-dev, libsnmp-dev, libglib2.0-dev, perl, net-tools, iputils-ping, python, psmisc, iproute, libtool, libcurl4-openssl-dev | libcurl3-openssl-dev, libxml2-dev, bison, flex, uuid-dev, lynx, libbz2-dev, zlib1g-dev, uuid-dev, libsensors4-dev | libsensors-dev, libltdl3-dev, swig, openssh-client, libgnutls-dev, python-central (>= 0.5), python-dev, libpam0g-dev, libncurses5-dev, psmisc, libopenhpi-dev, libopenipmi-dev, autoconf, automake, libtool, docbook-xsl, xsltproc
+Build-Depends: debhelper (>= 7), libcluster-glue-dev, cluster-glue-dev, libsnmp-dev, libglib2.0-dev, perl, net-tools, iputils-ping, python, psmisc, iproute, libtool, libcurl4-openssl-dev | libcurl3-openssl-dev, libxml2-dev, bison, flex, uuid-dev, lynx, libbz2-dev, zlib1g-dev, libsensors4-dev | libsensors-dev, libltdl3-dev, swig, openssh-client, libgnutls-dev, python-central (>= 0.5), python-dev, libpam0g-dev, libncurses5-dev, psmisc, libopenhpi-dev, libopenipmi-dev, autoconf, automake, libtool, docbook-xsl, xsltproc, docbook-xml
 Standards-Version: 3.8.4
 XS-Python-Version: current

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
   --mandir=/usr/share/man --disable-crm \
   --with-group-name=haclient --with-ccmuser-name=hacluster \
   --enable-snmp-subagent --with-mibsdir=/usr/share/snmp/mibs \
-  --enable-libc-malloc
+  --enable-libc-malloc --disable-fatal-warnings
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)

## heartbeat 3.0.4

=== debian/changelog ===
heartbeat (1:3.0.4-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Martin Loschwitz <madkiss@debian.org>  Sun, 22 May 2011 09:34:46 +0000

heartbeat (1:3.0.4-1) unstable; urgency=low

  * New Upstream
    Closes: 487167
    Closes: 582874
  * Update standards version from 3.8.4 to 3.9.1
  * Added Homepage to debian/control
    Closes: 594031
  * Depend on new cluster-agent library packages
    Closes: 593321

 -- Simon Horman <horms@debian.org>  Thu, 16 Dec 2010 22:53:53 +0900

=== debian/control ===
Source: heartbeat
Section: admin
Priority: optional
Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders: Martin Loschwitz <madkiss@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>, Simon Horman <horms@debian.org>, Frederik Schüler <fs@debian.org>
Build-Depends: debhelper (>= 7), libcluster-glue-dev, cluster-glue-dev, libpils2-dev, libplumb2-dev, libplumbgpl2-dev, libstonith1-dev, libglib2.0-dev, perl, net-tools, iputils-ping, python, psmisc, iproute, libtool, libcurl4-openssl-dev | libcurl3-openssl-dev, libxml2-dev, bison, flex, uuid-dev, lynx, libbz2-dev, zlib1g-dev, libsensors4-dev | libsensors-dev, libltdl3-dev, swig, openssh-client, libgnutls-dev, python-central (>= 0.5), python-dev, libpam0g-dev, libncurses5-dev, psmisc, libopenhpi-dev, libopenipmi-dev, autoconf, automake, libtool, docbook-xsl, xsltproc, docbook-xml
Standards-Version: 3.9.1
Vcs-Hg: http://hg.debian.org/hg/debian-ha/heartbeat
Vcs-Browser: http://hg.debian.org/hg/debian-ha/heartbeat
XS-Python-Version: current
Homepage: http://www.linux-ha.org/

Package: heartbeat
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}, cluster-glue, iproute, adduser, iputils-ping, psmisc, gawk, mawk, libxml2-utils, libpam-runtime (>= 0.76-14), cluster-agents
Recommends: rsyslog | system-log-daemon, logrotate, iptables, pacemaker (>= 1.0.6)
Provides: cluster-messaging-framework
XB-Python-Version: ${python:Versions}
Description: Subsystem for High-Availability Linux
 heartbeat is a messaging subsystem for high availability which implements
 serial, UDP, and PPP/UDP heartbeats.
 .
 It is one of the messaging layers supported by the Pacemaker
 cluster resource manager.

Package: heartbeat-dev
Section: devel
Architecture: any
Depends: heartbeat (= ${binary:Version}), ${misc:Depends}
Conflicts: libstonith-dev (<< 2.0.8-3), libpils-dev (<< 2.0.8-3), pacemaker-dev (<< 1.0.1-1)
XB-Python-Version: ${python:Versions}
Description: Subsystem for High-Availability Linux - development files
 heartbeat is a messaging subsystem for high availability which implements
 serial, UDP, and PPP/UDP heartbeats.
 .
 It is one of the messaging layers supported by the Pacemaker
 cluster resource manager.
 .
 This package contains Heartbeat-specific development files.

Package: libheartbeat2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: heartbeat (<= 2.99.2+sles11r7-0+1)
Conflicts: heartbeat (<= 2.99.2+sles11r7-0+1)
Description: Subsystem for High-Availability Linux (libraries)
 heartbeat is a messaging subsystem for high availability which implements
 serial, UDP, and PPP/UDP heartbeats.
 .
 It is one of the messaging layers supported by the Pacemaker
 cluster resource manager.
 .
 This package contains the Heartbeat libraries to make them available
 to other programs like Pacemaker without having to install the whole
 Heartbeat suite.

Package: libheartbeat2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libheartbeat2 (= ${binary:Version})
Replaces: heartbeat (<= 2.99.2+sles11r7-0+1)
Conflicts: heartbeat (<= 2.99.2+sles11r7-0+1)
Description: Subsystem for High-Availability Linux (development files)
 heartbeat is a messaging subsystem for high availability which implements
 serial, UDP, and PPP/UDP heartbeats.
 .
 It is one of the messaging layers supported by the Pacemaker
 cluster resource manager.
 .
 This package contains the Heartbeat library development files to make
 them available to other programs like Pacemaker.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,6 @@
 cfg:=--prefix=/usr --sysconfdir=/etc --localstatedir=/var \
   --mandir=/usr/share/man --disable-crm \
   --with-group-name=haclient --with-ccmuser-name=hacluster \
-  --enable-snmp-subagent --with-mibsdir=/usr/share/snmp/mibs \
   --enable-libc-malloc --disable-fatal-warnings
 
 # These are used for cross-compiling and for saving the configure script
@@ -42,15 +41,15 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
-	# Only boostrap as neccessary
+	# Only bootstrap as neccessary
 	if test -e ./configure -a ! -x ./configure; then		\
 		chmod u+x ./configure;					\
 	fi
 	if test -e ./py-compile -a ! -x ./py-compile; then		\
 		chmod u+x ./py-compile;					\
 	fi
-	test ! -x ./configure || ./configure $(cfg);
-	test -x ./configure || ./bootstrap $(cfg)
+	test ! -x ./configure || /bin/bash ./configure $(cfg);
+	test -x ./configure || /bin/bash ./bootstrap $(cfg)
 	$(MAKE)
 	touch build-stamp
 
@@ -102,7 +101,8 @@
 	rm -rf `pwd`/debian/heartbeat-dev/usr/include/
 	rm -rf `pwd`/debian/heartbeat-common-dev/usr/lib/stonith/plugins/stonith2/ribcl.py
 	
-	rm -rf `pwd`/debian/heartbeat/etc/ha.d/{conf,cts}
+	rm -rf `pwd`/debian/heartbeat/etc/ha.d/conf
+	rm -rf `pwd`/debian/heartbeat/etc/ha.d/cts
 	rm -rf `pwd`/debian/heartbeat/usr/lib/stonith
 	rm -rf `pwd`/debian/heartbeat/usr/lib/pils
 	rm -rf `pwd`/debian/heartbeat/usr/include/
